/********************************/
/******** FILTRAGEM PNEU ********/
/********************************/


.list_cars .template.listings > .listing:first-of-type > .container {
    display: flex ;
    gap: 70px;
    max-width: 1240px;
}   

@media(min-width:768px){
    .list_cars .template.listings{
        margin-bottom: 80px;
    }
}

.list_cars .listings .listing .filters {
    max-width: 250px;
    width: 100%;
}

.list_cars .listings .hp_viaturas .categories-slide > div{
    max-width: 415px;
}

.list_cars .listings .hp_viaturas .categories-slide{
    transition: var(--transition);
    border-radius: 30px;
}



.list_cars .listings .hp_viaturas .categories-slide .slide img {
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
    margin-inline: auto;
    display: block;
    transition: var(--transition);
    
}

.list_cars .listings .hp_viaturas .categories-slide .slide a:hover img{
    transform: scale(1.03);
}

.list_cars .listings .hp_viaturas .gallery{
    overflow: hidden;
}

.list_cars .listings .container .items{
    gap: 50px;
}

.list_cars .listings .container .items.hp_viaturas > p {
    color: #959595;
    font-size: 1rem;
    margin-block: 1.5em;
}

.list_cars .listings .hp_viaturas .categories-slide .slide{
    aspect-ratio: 1.2914485165794067/1;
    overflow: hidden;
    position: relative;
    transition: var(--transition);
}

.list_cars .listings .hp_viaturas .categories-slide .gallery-slider{
    overflow: hidden !important;
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
}

.list_cars .listings .listing .filters-close,
.list_cars .listings .listing .mobile-search {
    display: none;
}

.list_cars .listings .listing .filters .filter-section {
    border-top: 1px solid #dddddd;
    padding-block: 15px;
    transition: var(--transition);
}

.list_cars .listings .listing .filters .filter-section.open {
    padding-block: 15px 25px;
}

.list_cars .listings .listing .filters .filter-section .filter-section-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: var(--transition);
}

.list_cars .listings .listing .filters .filter-section.open .filter-section-header {
    padding-bottom: 15px;
}

.list_cars .listings .listing .filters .filter-section .filter-section-header .filter-title {
    font-size: 15.5px;
    font-weight: normal;
    line-height: 1.68;
    letter-spacing: normal;
    text-align: left;
    color: var(--secondary);
    max-width: 230px;
}

.list_cars .listings .listing .filters .filter-section .filter-section-header .filter-open-btn {
    width: 15px;
    height: 8px;
    position: relative;
    cursor: pointer;
    transition: var(--transition);
}

.list_cars .listings .listing .filters .filter-section.open .filter-section-header .filter-open-btn {
    transform: rotate(180deg);
}

.list_cars .listings .listing .filters .filter-section .filter-section-header .filter-open-btn::before {
    width: 15px;
    height: 8px;
    position: absolute;
    content: "";
    -webkit-mask-image: url(/bluesky/assets/img/svg/filter-arrow.svg);
    mask-image: url(/bluesky/assets/img/svg/filter-arrow.svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-color: #201d1c;
}

.list_cars .listings .listing .filters .filter-section .filter-option-wrapper {
    max-height: 0;
    height: 100%;
    overflow: hidden;
    transition: var(--transition);
    opacity: 0;
    display: flex;
    flex-direction: column;
    gap: 13px;
}

.list_cars .listings .listing .filters .filter-section.open .filter-option-wrapper {
    max-height: 308px;
    opacity: 1;
    overflow: auto;

    scrollbar-width: thin; /* For Firefox */
    scrollbar-color: #edebeb #ffffff; /* Thumb and track colors */
}


/* Scrollbar styles for WebKit browsers (Chrome, Safari, Edge) */
.list_cars .listings .listing .filters .filter-section.open .filter-option-wrapper::-webkit-scrollbar {
    width: 8px; /* Scrollbar width */
}

.list_cars .listings .listing .filters .filter-section.open .filter-option-wrapper::-webkit-scrollbar-track {
    background: #f1f1f1; /* Track color */
    border-radius: 8px; /* Optional: rounded track */
}

.list_cars .listings .listing .filters .filter-section.open .filter-option-wrapper::-webkit-scrollbar-thumb {
    background-color: #888; /* Scrollbar thumb color */
    border-radius: 8px; /* Rounded thumb */
    border: 2px solid #f1f1f1; /* Optional: padding around thumb */
}

.list_cars .listings .listing .filters .filter-section.open .filter-option-wrapper::-webkit-scrollbar-thumb:hover {
    background-color: #555; /* Thumb color on hover */
}



.list_cars .listings .listing .filters .filter-section .filter-option-wrapper .filter-option {
    display: flex;
    align-items: flex-start;
    gap: 10px;
    
}

.list_cars .listings .listing .filters .filter-section .filter-option-wrapper .filter-option span {
    font-size: 16px;
    font-weight: 300;
    line-height: 1.63;
    letter-spacing: normal;
    text-align: left;
    color: #959595;
    cursor: pointer;
}

.list_cars .listings .listing .filters .filter-section .limpar-filtros {
    font-size: 14px;
    font-weight: 300;
    line-height: 1.71;
    letter-spacing: normal;
    text-align: left;
    color: #959595;
}

.list_cars .listings .listing .filters .filter-section .limpar-filtros:hover {
    color: var(--secondary);
}



.list_cars .listings .listing .main-section {
    width: 100%;
    display: flex;
    flex-direction: column;
    transition: var(--transition);
}


.list_cars .listings .listing .main-section .search-section {
    display: flex;
    gap: 20px;
    margin-top: 0px;
}

.list_cars .listings .listing .main-section .search-section .count {
    font-size: 14.5px;
    font-weight: 300;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: right;
    color: #444;
    display: flex;
    align-items: center;
    width: 100%;
    flex: 1;
}

.list_cars .listings .listing .main-section .search-section > .input-wrapper.select-wrapper {
    position: relative;
    max-width: 275px;
    width: 100%;
    flex: 2;
}

.list_cars .listings .listing .main-section .search-section > .input-wrapper.select-wrapper .custom-select .placeholder {
    padding: 13.5px 30px;
}

.list_cars .listings .listing .main-section .search-section > .input-wrapper.select-wrapper .custom-select .placeholder > div.reset {
    right: 30px;
    cursor: pointer;
}

.list_cars .listings .listing .main-section .search-section > .input-wrapper.select-wrapper .custom-select .options > div {
    padding-left: 30px;
}

.mobile-search .input-wrapper,
.list_cars .listings .listing .main-section .search-section > .input-wrapper:not(.select-wrapper) {
    max-width: 350px;
    width: 100%;
    padding: 12.5px 30px;
    border: 1px solid #dddddd;
    border-radius: 20px;
    position: relative;
    transition: var(--transition);
    flex: 2;
}

.mobile-search .input-wrapper input,
.list_cars .listings .listing .main-section .search-section > .input-wrapper:not(.select-wrapper) input::placeholder, 
.list_cars .listings .listing .main-section .search-section > .input-wrapper:not(.select-wrapper) input {
    font-size: 16px;
    font-weight: 300;
    line-height: 1.63;
    letter-spacing: normal;
    text-align: left;
    color: #959595;
    max-width: 260px;
    width: 100%;
}

.mobile-search .input-wrapper button,
.list_cars .listings .listing .main-section .search-section > .input-wrapper:not(.select-wrapper) button {
    position: absolute;
    width: 14px;
    height: 14px;
    transition: var(--transition);
    z-index: 2;
    margin: 0;
    background: none;
    border: none;
    right: 30px;
    top: 0;
    bottom: 0;
    margin: auto;
}

.mobile-search .input-wrapper button:not(.clear-search)::before,
.list_cars .listings .listing .main-section .search-section > .input-wrapper:not(.select-wrapper) button:not(.clear-search)::before {
    overflow: visible;
    content: "";
    position: absolute;
    width: 14px;
    height: 14px;
    transition: var(--transition);
    top: 0;
    left: 0;
    -webkit-mask-image: url(/bluesky/assets/img/svg/listing-search.svg);
    mask-image: url(/bluesky/assets/img/svg/listing-search.svg);
    background-color: #201d1c;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
}

.mobile-search .input-wrapper button.clear-search::after,
.list_cars .listings .listing .main-section .search-section > .input-wrapper:not(.select-wrapper) button.clear-search::after {
    overflow: visible;
    content: "";
    position: absolute;
    width: 14px;
    height: 14px;
    transition: var(--transition);
    margin: auto;
    top: 0;
    left: 0;
    inset: 0;
    -webkit-mask-image: url(/bluesky/assets/img/global/close-header.svg);
    mask-image: url(/bluesky/assets/img/global/close-header.svg);
    background-color: #201d1c;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
}



.list_cars .listings .listing .main-section .search-section + .row {
    margin-top: 0px;
    --gap-h: 50px;
    --gap-v: 30px;
    transition: var(--transition);

}

.list_cars .listings .listing .main-section > .button-wrapper {
    margin: 60px auto 0;
}

.list_cars .listings .listing .main-section > .button-wrapper .button::before{
    background-color: white;
    border: 2px solid #eae8e8;
}

.list_cars .listings .listing .filters .filter-section .apply-filter, 
.list_cars .listings .listing .mobile-filter-bar {
    display: none;
}


@media(max-width: 992px) {
    .list_cars .listings .listing .main-section .search-section > .input-wrapper:not(.select-wrapper),
    .list_cars .listings .listing .main-section .search-section > .input-wrapper.select-wrapper {
        min-width: 200px;
    }
    .list_cars .listings .listing .main-section .search-section > .input-wrapper:not(.select-wrapper){
        padding:12.5px 50px 12.5px 30px;
    }

    .list_cars .listings .listing .main-section .search-section .count {
        font-size: 14px;
        font-weight: 300;
        line-height: 1.45;
    }

    .list_cars .listings .listing .main-section .highlighted-features {
        gap: 10px;
        flex-wrap: wrap;
    }

    .list_cars .listings .listing .main-section .search-section + .row {
        justify-content: center;
    }

    .list_cars .listings .listing .main-section .row .tire-card {
        max-width: calc(50% - 10px);
    }

    .list_cars .listings .listing .main-section .search-section + .row {
        --gap-h: 20px;
        --gap-v: 20px;
    }
}

@media(max-width: 768px) {
    .list_cars .listings .listing .filters .filter-section .apply-filter,    
    .list_cars .listings .listing .mobile-search {
        display: block;
    }

    .list_cars .listings .listing .main-section .search-section,
    .list_cars .listings .listing .main-section .highlighted-features,
    .list_cars .listings .listing .mobile-filter-bar > div .custom-select .reset{
        display: none;
    }

    .list_cars .listings .listing .main-section .search-section + .row {
        justify-content: start;
    }

    .list_cars .listings .listing .filters-close {
        transition: var(--transition);
        position: absolute;
        display: block;
    }

    .list_cars .listings .listing .filters-close {
        width: 30px;
        height: 30px;
        right: 0px;
        top: 10px;
    }

    .list_cars .listings .listing .filters-close::before {
        content: "";
        position: absolute;
        width: 12px;
        height: 12px;
        right: 20px;
        top: 10px;
        -webkit-mask-image: url(/bluesky/assets/img/svg/filter_close.svg);
        mask-image: url(/bluesky/assets/img/svg/filter_close.svg);
        -webkit-mask-repeat: no-repeat;
        mask-repeat: no-repeat;
        background-color: var(--black);
        cursor: pointer;
        transition: var(--transition);
    }

    .list_cars .listings .listing .filters {
        position: fixed;
        height: 100vh;
        max-width: 100%;
        background-color: white;
        top: 0;
        right: 0;
        flex-direction: column;
        transform: translateX(100%);
        transition: var(--transition);
        -webkit-transition: var(--transition);
        z-index: 999 !important;
        width: 442px;
        padding-block: 55px;
        
    }

    .list_cars .listings .listing .filters > div{
        padding: 10px 20px 90px;
        overflow: auto;
        height: 100vh;
    }

    body:has(.mobile-filter-bar)::before {
        content: "";
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: var(--black);
        opacity: 0;
        pointer-events: none;
        transition: var(--transition);
        -webkit-transition: var(--transition);
        background-blend-mode: multiply;
        background-image: linear-gradient(to bottom, #969595, #969595);
        z-index: 6;
    }

    body:has(.mobile-filter-bar .custom-select.open)::before,
    body:has(.filters.open)::before {
        opacity: .8;
        pointer-events: auto;
        z-index: 9;
    }

    body:has(.mobile-filter-bar .custom-select.open) header {
        z-index: 4;
    }

    .list_cars .listings .listing .filters.open {
        transform: translateX(0%);
        width: 92vw;
    }


    .list_cars .listings .listing .mobile-filter-bar {
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 9;
        width: 100%;
    }

    body:has(header.open) .listing .mobile-filter-bar {
        z-index: 9;
    }

    .list_cars .listings .listing .mobile-filter-bar > * {
        width: 100%;
        background-color: #bdbdbd;
        transition: var(--transition);
        font-size: 13px;
        font-weight: normal;
        line-height: 1;
        letter-spacing: normal;
        text-align: left;
        color: var(--white);
        max-height: 33px;
        height: 100%;
        border-radius: 0;
        position: unset;
        border: none;
        padding: 10px 5px;
        max-width: unset;
        margin-bottom: 0;
    }


    .list_cars .listings .listing .mobile-filter-bar > div .custom-select .placeholder {
        padding: 9px 0;
        max-height: 33px;
        font-size: 13px;
        color: transparent;
        border-bottom: 1px solid transparent;
    }
    
    .list_cars .listings .listing .mobile-filter-bar > div:has(.custom-select.open) {
        background-color: #767575;
    }

    .list_cars .listings .listing .mobile-filter-bar > div .custom-select .options-wrapper {
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
        position: fixed;
        left: 0;
        width: 100%;
        max-height: 0;
        transition: var(--transition);
        overflow: hidden;
        background-color: white;
        padding-right: 0;
        border-left: 1px solid #d0d1d1;
        border-right: 1px solid #d0d1d1;
        border-top: 1px solid #d0d1d1;
        opacity: 0;
        z-index: 2;
        top: unset;
        width: 100vw;
    }

    .list_cars .listings .listing .mobile-filter-bar > div .custom-select.open .options-wrapper, 
    .list_cars .listings .listing .mobile-filter-bar > div .custom-select.open .options {
        max-height: 250px;
        opacity: 1;
        bottom: 96px;
    }
    .list_cars .listings .listing .mobile-filter-bar > div .custom-select .options {
        padding: 20px 0;
    }

    .list_cars .listings .listing .mobile-filter-bar > div:has(.custom-select) label::before {
        position: absolute;
        content: "";
        width: 14px;
        height: 14px;
        background-color: white;
        -webkit-mask-image: url(/bluesky/assets/img/svg/order_mobile.svg);
        mask-image: url(/bluesky/assets/img/svg/order_mobile.svg);
        -webkit-mask-repeat: no-repeat;
        mask-repeat: no-repeat;
        display: block;
        cursor: pointer;
        left: -20px;
        top: 0;
        bottom: 0;
        margin: auto;
        z-index: 5;
    }

    .list_cars .listings .listing .mobile-filter-bar > div:has(.custom-select) label {
        font-size: 13px;
        font-weight: bold;
        line-height: 1;
        letter-spacing: normal;
        text-align: left;
        color: var(--white);
        left: 12%;
        top: 0;
        bottom: 0;
        margin: auto;
        display: flex;
        align-items: center;
    }

    .list_cars .listings .listing .mobile-filter-bar > div:has(.custom-select) .custom-select .options > div {
        text-align: center;
        padding: 5px 10px;
        font-size: 14px;
        font-weight: 300;
    }


    .list_cars .listings .listing .mobile-filter-bar div:has(.custom-select)  a.close-order {
        width: 15px;
        height: 15px;
        transition: var(--transition);
        position: absolute;
        right: 10px;
        top: -120px;
        z-index: 3;
        opacity: 0;
        display: none;
    }

    .list_cars .listings .listing .mobile-filter-bar div:has(.custom-select) a.close-order::before {
        content: "";
        position: absolute;
        width: 10px;
        height: 10px;
        right: 0px;
        top: 0px;
        -webkit-mask-image: url(/bluesky/assets/img/global/close-header.svg);
        mask-image: url(/bluesky/assets/img/global/close-header.svg);
        -webkit-mask-repeat: no-repeat;
        mask-repeat: no-repeat;
        background-color: #bdbcbc;
        cursor: pointer;
        transition: var(--transition);
    }

    
    .list_cars .listings .listing .mobile-filter-bar div:has(.custom-select.open)  a.close-order {
        display: block;
        opacity: 1;
    }
    .list_cars .listings .listing .mobile-filter-bar > a.filter-button {
        padding: 10px 5px;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 10px;
    }
    
    .list_cars .listings .listing .mobile-filter-bar > a.filter-button .icon {
        width: 14px;
        height: 14px;
    }   
    .list_cars .listings .listing .mobile-filter-bar > a.filter-button .icon{
        width: 11px;
        background: none;
        mask-image: none;

    }
    
    .list_cars .listings .listing .mobile-filter-bar > a.filter-button .icon::before {
        position: absolute;
        content: "";
        width: 16px;
        height: 14px;
        background-color: white;
        -webkit-mask-image: url(/bluesky/assets/img/svg/filters.svg);
        mask-image: url(/bluesky/assets/img/svg/filters.svg);
        -webkit-mask-repeat: no-repeat;
        mask-repeat: no-repeat;
        display: block;
    }   



    .list_cars .listings .listing .main-section > .button-wrapper {
        margin: 40px 20px 0;
    }

    .list_cars .listings .listing .main-section > .button-wrapper .button {
        width: 100%;
    }

    .mobile-search .input-wrapper {
        padding: 9px 21px 8px;
        border-radius: 10px;
        max-width: unset;
        margin-bottom: 30px;
    }

    .mobile-search .input-wrapper input {
        max-width: unset;
    }

    .mobile-search .input-wrapper button {
        right: 21px;
    }
   
    .list_cars .listings .listing .filters .filter-section .filter-option-wrapper .filter-option span,
    .mobile-search .input-wrapper input, 
    .list_cars .listings .listing .filters .filter-section .filter-section-header .filter-title {
        font-size: 14px;
        line-height: 1.71;
    }  

    .list_cars .listings .listing .filters .filter-section .apply-filter {
        margin-top: 15px;
        text-align: center;
    }

    .list_cars .listings .listing .filters .filter-section .limpar-filtros {
        text-align: center;
        display: block;
        margin-top: 15px;
    }

    .list_cars .listings .listing .filters .filter-section .filter-option-wrapper {
        gap: 15px;
    }

    .list_cars .listings .listing .filters .filter-section.open .filter-section-header {
        padding-bottom: 20px;
    }
}


@media(max-width: 577px) {
    .list_cars .listings .listing .categories-slide {
        margin-inline: 20px;
    }
    .list_cars .listings .listing .main-section .search-section + .row {
        --gap-h: 6px;
        --gap-v: 6px;
        background-color: #f6f4f4;
        margin-top: 0;
    }

    .list_cars .listings .listing .main-section .search-section + .row:has(#loading_total) {
        background-color: #ffffff;
    }


}



.content input[type=checkbox] {
    display: none;
    visibility: hidden;
}
.content input[type=checkbox]+label {
    display: inline-block;
    vertical-align: middle;
    height: 24px;
    left: 0;
    min-width: 24px;
    top: 0px;
    background-color: white;
    border: 1px solid #e2e0e0;
    border-radius: 5px;
    cursor: pointer;
    pointer-events: auto;
    position: relative;
    transition: var(--transition);
    z-index: 1;
}
.content input[type='checkbox']+label::before {
    content: "\f00c";
    font-family: "Font Awesome 5 Free";
    font-size: .875rem;
    font-weight: bold;
    color: var(--white);
    line-height: 1;
    width: 12px;
    height: 14px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    opacity: 0;
    pointer-events: none;
    transition: var(--transition);
    -webkit-transition: var(--transition);
}

.content input[type='checkbox']:checked+label {
    background-color: var(--primary);
    border: 1px solid var(--primary);
}
.content input[type='checkbox']:checked+label::before {
    opacity: 1;
    color: var(--white);
}

.list_cars .listings .categories{
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: flex-start;
    margin-bottom: 35px;
}

.list_cars .listings .categories a{
    font-size: 20px;
    font-weight: normal;
    line-height: 1.5;
    letter-spacing: normal;
    text-align: left;
    color: #444;
}

.list_cars .listings .categories a.active,
.list_cars .listings .categories a:hover{
    color: var(--primary);
}

.box-info{
    width: 100%;
    padding: 22px 24px 24px 36px;
    border-radius: 10px;
    border: solid 2px rgba(239, 28, 42, 0.15);
    background-color: #fff8f8;
    display: flex;
    flex-wrap: nowrap;
    gap: 50px;
}

.tablet .box-info{
    width: calc(100% - 30px);
}

.box-info h3{
    font-size: 20.5px;
    font-weight: 600;
    line-height: 1.24;
    letter-spacing: normal;
    text-align: left;
    color: #212121;
    margin: 0;
}

.box-info h3 strong{
    color: var(--primary)
}

.box-info ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
    margin-top: 10px;
    padding-left: 1.5em;
}

.box-info p,
.box-info ul li{
    font-size: 15.5px;
    font-weight: 300;
    line-height: 1.65;
    letter-spacing: normal;
    text-align: left;
    color: #212121;
    margin: 0;
}
.box-info > div:first-of-type{
    flex: 1;
}

.box-info ul li:before{
    content: "";
    display: inline-block;
    height: 10px;
    width: 1.25rem;
    margin-left: -1.8em;
    margin-right: .2rem;
    -webkit-mask-image: url(/bluesky/assets/img/svg/check_2.svg);
    mask-image: url(/bluesky/assets/img/svg/check_2.svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-color: var(--primary);
    align-items: center;
}

.box-info > div:last-of-type{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 245px;
    width: 100%;
    gap: 10px;
}

.box-info > div:last-of-type > *{
    width: 100%;
    text-align: center;
    padding: 12px 20px;
    font-size: 14px;
    font-weight: 600;
    line-height: 1.43;
}

@media(max-width: 768px) {
    .box-info{
        flex-direction: column;
        text-align: center;
        gap: 20px;
        border-radius: 0;
        border-left: none;
        border-right: none;
        padding-inline: 20px;
    }
    .box-info > div:last-of-type{
        max-width: unset;
    }

    .content input[type='checkbox']+label::before {
        font-size: 14px;
    }
}

.tablet.list_cars .listings .hp_viaturas{
    gap: 30px;
    /* justify-content: flex-end; */
}
.tablet.list_cars .listings .hp_viaturas .categories-slide{
    max-width: calc(50% - 30px);
}